Package org.apache.synapse.transport.passthru

# Class ConnectCallback

java.lang.Object
org.apache.synapse.transport.passthru.ConnectCallback

All Implemented Interfaces:
  `org.apache.http.nio.reactor.SessionRequestCallback`

public class ConnectCallback extends Object implements org.apache.http.nio.reactor.SessionRequestCallback

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectCallback()`
  Create the callback for the handling events on a given connection

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancelled(org.apache.http.nio.reactor.SessionRequest request)`
  `void`
  `completed(org.apache.http.nio.reactor.SessionRequest request)`
  `void`
  `failed(org.apache.http.nio.reactor.SessionRequest request)`
  `void`
  `setDeliveryAgent(DeliveryAgent deliveryAgent)`
  `void`
  `timeout(org.apache.http.nio.reactor.SessionRequest request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConnectCallback

    public ConnectCallback()
    Create the callback for the handling events on a given connection

- ## Method Details

  - ### completed

    public void completed(org.apache.http.nio.reactor.SessionRequest request)
    Specified by:
      `completed` in interface `org.apache.http.nio.reactor.SessionRequestCallback`

  - ### failed

    public void failed(org.apache.http.nio.reactor.SessionRequest request)
    Specified by:
      `failed` in interface `org.apache.http.nio.reactor.SessionRequestCallback`

  - ### timeout

    public void timeout(org.apache.http.nio.reactor.SessionRequest request)
    Specified by:
      `timeout` in interface `org.apache.http.nio.reactor.SessionRequestCallback`

  - ### cancelled

    public void cancelled(org.apache.http.nio.reactor.SessionRequest request)
    Specified by:
      `cancelled` in interface `org.apache.http.nio.reactor.SessionRequestCallback`

  - ### setDeliveryAgent

    public void setDeliveryAgent(DeliveryAgent deliveryAgent)